## ccdproc 0.3.3

=== astropy_helpers/astropy_helpers/tests/package_template/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

#This is needed with git because git doesn't create a dir if it's empty
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf _generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astropy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astropy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astropy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ccdproc (0.3.3-2) unstable; urgency=low

  * Add build and CI time tests
  * Bump standard version to 3.9.7. No changes needed.
  * Fix non-integer indexes for future numpy versions. Closes: #813667

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Feb 2016 10:33:34 +0100

ccdproc (0.3.3-1) unstable; urgency=low

  * Initial release. (Closes: #803038)

 -- Ole Streicher <olebole@debian.org>  Mon, 02 Nov 2015 09:15:16 +0100

=== debian/control ===
Source: ccdproc
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-astropy,
               python-astropy-helpers,
               python-pytest,
	       python-scipy,
               python-setuptools,
               python3-all,
               python3-astropy,
               python3-astropy-helpers,
               python3-pytest,
	       python3-scipy,
               python3-setuptools
Standards-Version: 3.9.7
Homepage: http://ccdproc.readthedocs.org
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/ccdproc.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/ccdproc.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-ccdproc
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Basic data reductions of astronomy CCD images (Python 2)
 The ccdproc package provides many of the necessary tools for processing
 of ccd images built on a framework to provide error propagation and bad
 pixel tracking throughout the reduction process.
 .
 This package contains the Python 2 version of the package.

Package: python3-ccdproc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Basic data reductions of astronomy CCD images (Python 3)
 The ccdproc package provides many of the necessary tools for processing
 of ccd images built on a framework to provide error propagation and bad
 pixel tracking throughout the reduction process.
 .
 This package contains the Python 3 version of the package.

=== debian/tests/control ===
Tests: python-ccdproc
Depends: python-ccdproc

Tests: python3-ccdproc
Depends: python3-ccdproc

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/ccdproc/ccdproc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ccdproc 1.0.1

=== debian/changelog ===
ccdproc (1.0.1-2) unstable; urgency=low

  * Fix test dependencies

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Jul 2016 10:26:08 +0200

ccdproc (1.0.1-1) unstable; urgency=low

  * Add d/u/metadata with ASCL-Id and repository
  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Jul 2016 21:34:33 +0200

ccdproc (0.3.3-3) unstable; urgency=medium

  * Use ConfigParser module instead of the one embedded in
    distutils.config. Closes: #825627
  * Update Standards-Version to 3.9.8. Use https for Vcs URLs

 -- Ole Streicher <olebole@debian.org>  Sat, 28 May 2016 13:38:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,27 @@
                python-all,
                python-astropy,
                python-astropy-helpers,
+               python-astroscrappy,
+               python-numpy,
                python-pytest,
-	       python-scipy,
+               python-pytest-catchlog,
+               python-reproject,
+               python-scipy,
                python-setuptools,
                python3-all,
                python3-astropy,
                python3-astropy-helpers,
+               python3-astroscrappy,
+               python3-numpy,
                python3-pytest,
-	       python3-scipy,
+               python3-pytest-catchlog,
+               python3-reproject,
+               python3-scipy,
                python3-setuptools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://ccdproc.readthedocs.org
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/ccdproc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/ccdproc.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/ccdproc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/ccdproc.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3

## ccdproc 1.1.0

=== debian/changelog ===
ccdproc (1.1.0-2) unstable; urgency=medium

  * Fixed numpy dev test failure. Closes: #848812

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Dec 2016 14:09:04 +0100

ccdproc (1.1.0-1) unstable; urgency=low

  * Imported Upstream version 1.1.0

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Aug 2016 09:28:23 +0200

=== debian/tests/control ===
Tests: python-ccdproc
Depends: python-ccdproc, python-pytest, python-pytest-catchlog

Tests: python3-ccdproc
Depends: python3-ccdproc, python3-pytest, python3-pytest-catchlog

## ccdproc 1.2.0

=== debian/changelog ===
ccdproc (1.2.0-3) unstable; urgency=medium

  * Skip failing tests with newer numpy/astropy versions

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Oct 2017 11:36:05 +0200

ccdproc (1.2.0-2) unstable; urgency=medium

  * Push Standards-Version to 4.0.0. No changes required.
  * Provide astropy-2 compatibility (Closes: #868119)

 -- Ole Streicher <olebole@debian.org>  Sat, 29 Jul 2017 14:20:34 +0200

ccdproc (1.2.0-1) unstable; urgency=low

  * New upstream version 1.2.0
  * New dependencies python-skimage, python3-skimage
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Jan 2017 09:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                python-reproject,
                python-scipy,
                python-setuptools,
+               python-skimage,
                python3-all,
                python3-astropy,
                python3-astropy-helpers,
@@ -24,8 +25,9 @@
                python3-pytest-catchlog,
                python3-reproject,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 3.9.8
+               python3-setuptools,
+               python3-skimage
+Standards-Version: 4.0.0
 Homepage: http://ccdproc.readthedocs.org
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/ccdproc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/ccdproc.git

## ccdproc 1.3.0

=== debian/changelog ===
ccdproc (1.3.0-5) unstable; urgency=medium

  * Relax the array equality check in the gain tests
  * Push Standards-Version to 4.3.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Dec 2018 14:03:25 +0100

ccdproc (1.3.0-4) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sun, 09 Dec 2018 14:10:41 +0100

ccdproc (1.3.0-3) unstable; urgency=medium

  * Push Standards-Version to 4.2.0. Remove X-Python fields
  * Adjust tests for newer numpy and astropy versions. Closes: #902455

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Aug 2018 16:44:23 +0200

ccdproc (1.3.0-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop catchlog dependency (Closes: #894701)

  [ Ole Streicher ]
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. Use https everywhere
  * Push Compat to 11

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Apr 2018 15:05:45 +0200

ccdproc (1.3.0-1) unstable; urgency=medium

  * Allow (and ignore) .postX suffixes in version number
  * New upstream version 1.3.0
  * Rediff patches
  * Push Standards-Version to 4.1.1. Use https in all URLs

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Nov 2017 17:14:04 +0100

=== debian/control ===
Source: ccdproc
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all (>= 3.3),
               python3-astropy,
               python3-astropy-helpers,
               python3-astroscrappy,
               python3-numpy,
               python3-pytest (>= 3.3.0),
               python3-reproject,
               python3-scipy,
               python3-setuptools,
               python3-skimage
Standards-Version: 4.3.0
Homepage: https://ccdproc.readthedocs.org
Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc

Package: python3-ccdproc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Basic data reductions of astronomy CCD images
 The ccdproc package provides many of the necessary tools for processing
 of ccd images built on a framework to provide error propagation and bad
 pixel tracking throughout the reduction process.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=ccdproc
export LC_ALL=C.UTF-8


%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args -v

override_dh_auto_test: $(PYTHON3:%=test-python%)
endif

=== debian/tests/control ===
Tests: python3-ccdproc
Depends: python3-ccdproc, python3-pytest

## ccdproc 2.0.0

=== debian/changelog ===
ccdproc (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0. Closes: #935877
  * Rediff patches. Drop patches that were applied/fixed upstream.
  * Remove d/compat
  * Switch tests to use pytest
  * Remove unneeded sections from d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Sep 2019 09:50:20 +0200

ccdproc (1.3.0-7) unstable; urgency=medium

  * Add tests on salsa
  * Allow stderr in CI tests

 -- Ole Streicher <olebole@debian.org>  Thu, 01 Aug 2019 08:24:28 +0200

ccdproc (1.3.0-6) unstable; urgency=low

  * Push Standards-Version to 4.4.0. No changes needed
  * Push compat to 12
  * Fix import failure from astropy.tests on astropy 3.2

 -- Ole Streicher <olebole@debian.org>  Wed, 17 Jul 2019 14:05:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all (>= 3.3),
                python3-astropy,
@@ -15,7 +15,7 @@
                python3-scipy,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://ccdproc.readthedocs.org
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=ccdproc
export LC_ALL=C.UTF-8


%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test
	rm -f .pybuild/*/build/test_table.txt
endif

## ccdproc 2.0.1

=== debian/changelog ===
ccdproc (2.0.1-2) unstable; urgency=medium

  * Fixing header plugin and other failures with astropy 4.0

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Dec 2019 20:41:56 +0100

ccdproc (2.0.1-1) unstable; urgency=low

  * New upstream version 2.0.1

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Sep 2019 08:40:56 +0200

## ccdproc 2.1.0

=== debian/changelog ===
ccdproc (2.1.0-2) unstable; urgency=low

  * Use local test files for tests

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jan 2020 17:16:04 +0100

ccdproc (2.1.0-1) unstable; urgency=low

  * New upstream version 2.1.0. Rediff patches
  * Adjust build depends (drop astropy-helpers)
  * Push Standards-Version to 4.4.1. No changes needed
  * Mark tests that require remote data

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jan 2020 08:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
                dh-python,
                python3-all (>= 3.3),
                python3-astropy,
-               python3-astropy-helpers,
                python3-astroscrappy,
-               python3-numpy,
+               python3-numpy (>= 1.16),
                python3-pytest (>= 3.3.0),
                python3-reproject,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-skimage
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://ccdproc.readthedocs.org
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=ccdproc
+export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 export LC_ALL=C.UTF-8
 
 
@@ -10,6 +11,9 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
+	for t in .pybuild/*/build ; do \
+	  cp -av ccdproc/tests/data/ $${t}/ccdproc/tests/ ; \
+	done
 	dh_auto_test
 	rm -f .pybuild/*/build/test_table.txt
 endif

=== debian/tests/control ===
Test-Command: cd $ADTTMP && pytest-3 --pyargs ccdproc
Depends: python3-ccdproc, python3-pytest
Restrictions: allow-stderr

## ccdproc 2.2.0

=== debian/changelog ===
ccdproc (2.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Ole Streicher ]
  * Update for astroscrappy 1.1.0

 -- Ole Streicher <olebole@debian.org>  Fri, 10 Dec 2021 08:46:08 +0100

ccdproc (2.2.0-1) unstable; urgency=medium

  * Fix bug-closes # in previous changelog entry
  * New upstream version 2.2.0
  * Push Standards-Version to 4.6.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 14:47:51 +0200

ccdproc (2.1.0-4) unstable; urgency=medium

  * Remove ccdproc/version.py (regenerated by scm) (Closes: #978276)
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 27 Dec 2020 11:43:07 +0100

ccdproc (2.1.0-3) unstable; urgency=medium

  * Push Standards-Version to 4.5.0. No changes required
  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control
  * Remove unneded versioned build dependencies
  * Add python3-memory-profiler build dep to fix FTBFS (Closes: #963438)

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Jul 2020 16:39:23 +0200

## ccdproc 2.3.0

=== debian/changelog ===
ccdproc (2.3.0-2) unstable; urgency=medium

  * Remove benchmarks subdir (Closes: #1003114)
  * Remove obsolete special test data handling

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Jan 2022 08:50:08 +0100

ccdproc (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Drop Update-for-astroscrappy-1.1.0.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Mon, 03 Jan 2022 08:27:21 +0100

=== debian/control ===
Source: ccdproc
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-astropy,
               python3-astroscrappy,
               python3-memory-profiler,
               python3-numpy,
               python3-pytest (>= 3.3.0),
               python3-reproject,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-skimage
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc
Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
Homepage: https://ccdproc.readthedocs.org
Rules-Requires-Root: no

Package: python3-ccdproc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Basic data reductions of astronomy CCD images
 The ccdproc package provides many of the necessary tools for processing
 of ccd images built on a framework to provide error propagation and bad
 pixel tracking throughout the reduction process.

## ccdproc 2.3.1

=== debian/changelog ===
ccdproc (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Remove unneeded build dep version for pytest

 -- Ole Streicher <olebole@debian.org>  Fri, 13 May 2022 08:08:04 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-astroscrappy,
                python3-memory-profiler,
                python3-numpy,
-               python3-pytest (>= 3.3.0),
+               python3-pytest,
                python3-reproject,
                python3-scipy,
                python3-setuptools,

## ccdproc 2.4.0

=== debian/changelog ===
ccdproc (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Adjust minversion of astropy
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Nov 2022 08:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-astropy,
+               python3-astropy (>= 4.3~),
                python3-astroscrappy,
                python3-memory-profiler,
                python3-numpy,
@@ -16,7 +16,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-skimage
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
 Homepage: https://ccdproc.readthedocs.org

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs ccdproc
Depends: python3-ccdproc, python3-pytest
Restrictions: allow-stderr

## ccdproc 2.4.1

=== debian/changelog ===
ccdproc (2.4.1-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Add test dependency on python3-psutil, drop python3-memory-profiler
    (Closes: #1060794)

 -- Ole Streicher <olebole@debian.org>  Sun, 28 Jan 2024 13:58:53 +0100

ccdproc (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Jun 2023 22:17:39 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                python3-all,
                python3-astropy (>= 4.3~),
                python3-astroscrappy,
-               python3-memory-profiler,
                python3-numpy,
+               python3-psutil,
                python3-pytest,
                python3-reproject,
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
                python3-skimage
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
 Homepage: https://ccdproc.readthedocs.org

## ccdproc 2.4.2

=== debian/changelog ===
ccdproc (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Push Standards-Version to 4.7.0. No changes needed
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 18 May 2024 15:09:03 +0200

ccdproc (2.4.1-3) unstable; urgency=medium

  * Fix warning type in test_image_collection (Closes: #1066770)

 -- Ole Streicher <olebole@debian.org>  Tue, 23 Apr 2024 12:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-skimage
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
 Homepage: https://ccdproc.readthedocs.org

## ccdproc 2.4.3

=== debian/changelog ===
ccdproc (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * Rediff patches
  * Build-Depend on pybuild-plugin-pyproject and python3-hatchling

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Jan 2025 08:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-astropy (>= 4.3~),
                python3-astroscrappy,
+               python3-hatch-vcs,
+               python3-hatchling,
                python3-numpy,
                python3-psutil,
                python3-pytest,

## ccdproc 2.5.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

#This is needed with git because git doesn't create a dir if it's empty
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf api

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astropy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astropy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astropy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ccdproc (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Rediff patches
  * Remove unneded versionizing from build-dep
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Aug 2025 13:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astropy (>= 4.3~),
+               python3-astropy,
                python3-astroscrappy,
                python3-hatch-vcs,
                python3-hatchling,
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-skimage
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccdproc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ccdproc.git
 Homepage: https://ccdproc.readthedocs.org

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=ccdproc
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
export LC_ALL=C.UTF-8


%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs ccdproc
Depends: python3-ccdproc, python3-pytest, python3-psutil
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.post.// \
https://pypi.debian.net/ccdproc/ccdproc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
